QA:Camino 1.6.x, Mac OS X 10.6, and Java

From Camino Wiki
Jump to: navigation, search

The Java Embedding Plugin (which provides Java support in Camino) included in Camino 1.6.x is incompatible with Java on Mac OS X 10.6 “Snow Leopard” and will cause Camino to crash when visiting any pages using Java applets. While a compatible version of the Java Embedding Plugin exists, that version will not run on Mac OS X 10.3.9, which Camino 1.6.x supports. As a result of these incompatibilities, Camino 1.6.10 and later will disable Java on Mac OS X 10.6.

Users of Camino 1.6.x who need Java support on Mac OS X 10.6 and who do not wish to upgrade to Camino 2.0 Beta 4 will need to perform the following steps to obtain a compatible version of the Java Embedding Plugin and re-enable Java. Note: the following steps must be performed again with each new Camino 1.6.x release.

  1. Quit Camino 1.6.10 or later.
  2. Replace the Java Embedding Plugin inside of the Camino application with version 0.9.7.2 or later of the Java Embedding Plugin.
    The Install JEP for 10.6 AppleScript application can perform this step automatically.
  3. Restart Camino.

Java will now be operational until the next version of Camino 1.6.x is released, at which point users will need to perform these steps again.

This Document in Other Languages

Italiano Deutsch

Personal tools
Namespaces
Variants
Actions
Navigation
Toolbox